Bug 753735 - koji repos are fX-build for X >= 16
Summary: koji repos are fX-build for X >= 16
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-14 10:43 UTC by Dan Horák
Modified: 2012-02-24 23:40 UTC (History)
4 users (show)

Fixed In Version: mock-1.0.28-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-08 22:57:18 UTC
Type: ---


Attachments (Terms of Use)

Description Dan Horák 2011-11-14 10:43:31 UTC
The "local" repository in mock config files pointing to koji build repositories must use fX-build for X >= 16 instead of dist-fX-build. There was a change in the tag names starting with f16 some time ago.

Comment 1 Ville Skyttä 2011-11-20 19:52:54 UTC
http://kojipkgs.fedoraproject.org/repos/ seems to contain the dist-* dirs (symlinks?).  Don't those work for some reason?  We can of course drop the dist- prefix for affected distros, but is there some documentation somewhere about the tag naming change that would confirm that this is what we should be doing?

Comment 2 Dan Horák 2011-12-07 11:54:31 UTC
The symlinks were probably created for compatibility with older setup on the primary koji, but not in the secondary kojis (aka s390, ppc, ...). The change from dist-fX to fX was decided by the release engineering, Dennis Gilmore (CCed) should tell you more about it.

Comment 3 Clark Williams 2012-01-30 21:51:10 UTC
Ok, I'll make this change to the fX (where X >= 16) config files.

Comment 4 Clark Williams 2012-01-30 22:01:52 UTC
Also, I'm presuming that this change applies only to released trees and not rawhide, meaning that the [local] repo for rawhide remains dist-rawhide?

Comment 5 Dennis Gilmore 2012-01-30 22:09:33 UTC
rawhide is just rawhide now  we dropped dist- starting with f16

Comment 6 Fedora Update System 2012-02-01 16:45:09 UTC
mock-1.1.20-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.fc15

Comment 7 Fedora Update System 2012-02-01 16:46:03 UTC
mock-1.1.20-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.el6

Comment 8 Fedora Update System 2012-02-01 16:46:52 UTC
mock-1.1.20-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.fc16

Comment 9 Fedora Update System 2012-02-01 16:47:39 UTC
mock-1.0.27-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.27-2.el5

Comment 10 Fedora Update System 2012-02-02 17:28:45 UTC
Package mock-1.1.20-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.20-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1199/mock-1.1.20-1.fc16
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2012-02-08 22:57:18 UTC
mock-1.1.20-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-02-09 02:21:51 UTC
mock-1.1.21-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.fc15

Comment 13 Fedora Update System 2012-02-09 02:22:36 UTC
mock-1.1.21-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.el6

Comment 14 Fedora Update System 2012-02-09 02:23:19 UTC
mock-1.0.28-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.28-1.el5

Comment 15 Fedora Update System 2012-02-09 02:24:03 UTC
mock-1.1.21-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.fc16

Comment 16 Fedora Update System 2012-02-15 23:55:55 UTC
mock-1.1.21-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2012-02-19 02:00:05 UTC
mock-1.1.21-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2012-02-24 23:37:14 UTC
mock-1.1.21-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-02-24 23:40:48 UTC
mock-1.0.28-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.